> ## Documentation Index
> Fetch the complete documentation index at: https://platform.take.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List order payments



## OpenAPI

````yaml openapi-v2 GET /api/v2/orders/{order_id}/payments
openapi: 3.1.0
info:
  title: Take App Merchant API V2
  version: 2.0.0
  description: >-
    Authenticated Merchant API for stores. All money values are integers in the
    smallest currency unit (e.g. cents).
servers:
  - url: https://take.app
security:
  - bearerAuth: []
paths:
  /api/v2/orders/{order_id}/payments:
    get:
      tags:
        - Orders
      operationId: listOrderPayments
      parameters:
        - schema:
            type: string
          required: true
          name: order_id
          in: path
      responses:
        '200':
          description: Payments recorded on the order, oldest first
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrderPaymentList'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    OrderPaymentList:
      type: object
      properties:
        object:
          type: string
          enum:
            - list
        data:
          type: array
          items:
            $ref: '#/components/schemas/OrderPayment'
        amount_paid:
          type: integer
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        amount_due:
          type: integer
          description: '`total_amount` minus `amount_paid`.'
      required:
        - object
        - data
        - amount_paid
        - amount_due
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - invalid_request_error
                - authentication_error
                - permission_error
                - not_found_error
                - rate_limit_error
                - api_error
            code:
              type: string
            message:
              type: string
            param:
              type: string
            request_id:
              type: string
          required:
            - type
            - code
            - message
            - request_id
      required:
        - error
    OrderPayment:
      type: object
      properties:
        id:
          type: string
        object:
          type: string
          enum:
            - order_payment
        order_id:
          type: string
        amount:
          type: integer
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        fee:
          type: integer
          description: >-
            Integer amount in the smallest unit of the store currency (e.g.
            cents).
        status:
          type: string
          enum:
            - pending
            - confirming
            - partial
            - paid
            - refunded
            - voided
          description: Only `paid` payments count towards `amount_paid`.
        payment_method:
          type: string
          description: Name of the payment method, e.g. "Bank Transfer".
        payment_method_type:
          type: string
        paid_at:
          type: string
          format: date-time
      required:
        - id
        - object
        - order_id
        - amount
        - fee
        - status
        - payment_method
        - payment_method_type
        - paid_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: 'Merchant API V2 token. Pass as `Authorization: Bearer <token>`.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.